package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考核对象 examination
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class Examination extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 考试编号 */
    private Long examinationId;

    /** 删除标识 */
    private Integer delFlag;

    /** 考试题目 */
    @Excel(name = "考试题目")
    private String examinationQuestions;

    /** 问题类型，1为单选，2为多选，3为简答 */
    @Excel(name = "问题类型，1为单选，2为多选，3为简答")
    private Long examinationTypeId;

    /** 备注 */
    @Excel(name = "备注")
    private String reamk;

    public void setExaminationId(Long examinationId) 
    {
        this.examinationId = examinationId;
    }

    public Long getExaminationId() 
    {
        return examinationId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }
    public void setExaminationQuestions(String examinationQuestions) 
    {
        this.examinationQuestions = examinationQuestions;
    }

    public String getExaminationQuestions() 
    {
        return examinationQuestions;
    }
    public void setExaminationTypeId(Long examinationTypeId) 
    {
        this.examinationTypeId = examinationTypeId;
    }

    public Long getExaminationTypeId() 
    {
        return examinationTypeId;
    }
    public void setReamk(String reamk) 
    {
        this.reamk = reamk;
    }

    public String getReamk() 
    {
        return reamk;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("examinationId", getExaminationId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .append("examinationQuestions", getExaminationQuestions())
            .append("examinationTypeId", getExaminationTypeId())
            .append("reamk", getReamk())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
